Bug 473334 - preupgrade failed badly on upgrade from F9 to F10
preupgrade failed badly on upgrade from F9 to F10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 15:08 EST by Scott Glaser
Modified: 2014-01-21 18:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Glaser 2008-11-27 15:08:13 EST
Description of problem:

Performed an upgrade from F9 to F10 using preupgrade, there were no indications of errors, however the install was not useable.


Version-Release number of selected component (if applicable):

1.0.0-1.fc9


How reproducible:

Not known, no way to test again


Steps to Reproduce:
1. Install Fedora 9, with kde, xfce, and gnome
2. Use preupgrade to upgrade to F10
3. Boot F10 after completion of upgrade
4. Installation is unusable to all but the most advanced troubleshooters.
  
Actual results:

Upgrade using preupgrade failed.


Expected results:

Expected a usable system.


Additional info:

The first issue was that once it booted, the login screen only showed a flashing white box in the middle of the screen.

This was corrected by forcing KDM to be the display manager by creating /etc/sysconfig/desktop and specifying DISPLAYMANAGER="KDE".

After getting in via KDM, nm-applet would crash on startup complaining about cario.

This was corrected by removing and reinstalling cairo, even though it was the F10 pacakage it was not functional till removing and re-installing. Once replaced nm_applet would function properly.

Attempted to run Open Office Writer, on attempting to open it a message was displayed indicating that the package was not installed.  Removed and re-installed all of the Office/Productivity  group and it then began to function normally.

Sound was not functioning at all, the device selected by Pule Audio was a null device.  

At this point after two hours of trying to troubleshoot, I decided that the effort required to ensure that the system would be stable was not worth the time to re-install via the media.

After using the DVD to install the system operated as desired with no issues what so ever.
Comment 1 Ferry Huberts 2008-12-01 12:16:55 EST
I have a different scenario for failure:

I have two machines with F9 and F10 installed in parallel.
When you try to do a F9-->F10 upgrade with preupgrade then the F10 LVM root will be mounted i.s.o. the F9 LVM root. the upgrade repository can not be found and we have epic failure; it will try to download stuff but fail.

I worked around it by zero-ing out the first part of the F10 LVM root and restoring it after upgrade.

I think you should store which filesystems to actually mount before rebooting into the upgrade. or store it right anyway :-)
Comment 2 Bug Zapper 2009-06-09 23:22:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:40:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.